Subject: bug#12441: Acknowledgement (24.2.50; emacs-bzr-version is not reliable)

From: Stefan Monnier <[email-masked]>
Date: Fri, 14 Sep 2012 15:32:04 -0400

> In emacs-bzr-get-version, in version.el, there seems to be a special
> branch in the cond dealing with lightweight checkouts.  Maybe you could
> just remove that branch? It will only work, and unreliably to boot,
> with a lightweight checkout from a local branch.

Lightweight checkouts of local branches are very common, so we
definitely want to handle them right at least in the "normal" case where
the checkout is showing the tip of the corresponding branch (contrary
to your particular case).

        Stefan